%define name	CriticalMass
%define version	1.0.2
%define release %mkrel 4
%define Summary Arcade Shooter

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://criticalmass.sourceforge.net/criticalmass/%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
#Patch1:		CriticalMass-fix-compile-gcc-3.4.patch.bz2
License:	GPL
Group:		Games/Arcade
URL:		http://criticalmass.sourceforge.net
Summary:	%{Summary}
BuildRequires:	SDL_mixer-devel SDL_image-devel zlib-devel libpng-devel MesaGL-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#Requires:	SDL_mixer SDL_image zlib

%description
Critical Mass (aka Critter) is an SDL/OpenGL space shoot'em up game.

%prep
%setup -q

%configure --prefix=%{_gamesbindir} --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir} --libdir=%_libdir --enable-dyngl

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_gamesbindir}
install -m755 game/critter tools/Packer -D $RPM_BUILD_ROOT%{_gamesbindir}
install -d $RPM_BUILD_ROOT%{_gamesdatadir}/Critical_Mass
install -m644 data/music/lg-criti.xm $RPM_BUILD_ROOT%{_gamesdatadir}/Critical_Mass
install -m644 game/resource.dat $RPM_BUILD_ROOT%{_gamesdatadir}/Critical_Mass
install -d $RPM_BUILD_ROOT%{_mandir}/man6
install -m644 critter.6 $RPM_BUILD_ROOT%{_mandir}/man6


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Critical Mass
Comment=%{Summary}
Exec=%{_gamesbindir}/critter
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Readme.html COPYING TODO
%{_gamesdatadir}/Critical_Mass
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}*.png
%{_miconsdir}/%{name}*.png
%{_mandir}/man6/critter.6*
%defattr(755,root,root,755)
%{_gamesbindir}/critter
%{_gamesbindir}/Packer



%changelog
* Wed Mar 19 2008 Emmanuel Andry <eandry@mandriva.org> 1.0.2-4mdv2008.1
+ Revision: 189018
- Drop useless requires

* Sun Feb 24 2008 Emmanuel Andry <eandry@mandriva.org> 1.0.2-3mdv2008.1
+ Revision: 174467
- drop X-Mandrivalinux category

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - do not hardcode bz2 extension

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 06 2007 Lenny Cartier <lenny@mandriva.org> 1.0.2-2mdv2008.0
+ Revision: 23779
- Buildrequires
- Update to 1.0.2


* Mon Sep 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.0-3mdv2007.0
- XDG

* Mon Jun 19 2006 Lenny Cartier <lenny@mandriva.com> 1.0.0-2mdv2007.0
- fix menu

* Thu Mar 16 2006 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0

* Mon Mar 21 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.99.10-1mdk
- from Emmanuel Andry <eandry@free.fr> : 
	- New version
	- Dropped patch 1

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99-2mdk
- Rebuild

* Thu May 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.99-1mdk
- from David Black <dave@jamsoft.com> :
	- First release

